const http = require('http');
let fs = require('fs');
let json = JSON.parse(fs.readFileSync('src/ressources/frigos.json'));

const hostname = '127.0.0.1';
const port = 3000;

const server = http.createServer((req, res) => {
  res.statusCode = 200;
  res.setHeader('Content-Type', 'application/json');
  res.setHeader("Access-Control-Allow-Origin", "*");

  if(req.method === 'GET'){
    console.log("GET")
    res.end(JSON.stringify(json))
  }
  res.statusCode = 405;
  res.end()
});

server.listen(port, hostname, () => {
  console.log(`Server running at http://${hostname}:${port}/`);
});